\definecolor{ududff}{rgb}{0.30,0.30,1.}
\begin{tikzpicture}[line cap=round,line join=round,>=triangle 45,x=1.0cm,y=1.0cm]
\clip(-4.3,-0.5) rectangle (20.1,4.5);
\draw [line width=2.pt] (-2.,3.)-- (2.,4.);
\draw [line width=2.pt] (2.,0.)-- (2.,4.);
\draw [line width=2.pt] (2.,4.)-- (0.58,0.);
\draw [line width=2.pt] (0.58,0.)-- (-2.,3.);
\draw [line width=2.pt] (-2.,3.)-- (-2.,0.);
\draw [line width=2.pt] (-2.,0.)-- (2.,0.);
\draw (-2.74,2.02) node[anchor=north west] {$6$};
\draw (-2.74,2.02) node[anchor=north west] {$6$};
\draw (2.52,2.46) node[anchor=north west] {$8$};
\draw (2.52,2.46) node[anchor=north west] {$8$};
\draw (-0.8,-0.02) node[anchor=north west] {$x$};
\begin{scriptsize}
\draw [fill=ududff] (-2.,0.) circle (0.5pt);
\draw[color=ududff] (-2.36,-0.63) node {$B$};
\draw [fill=ududff] (-2.,3.) circle (0.5pt);
\draw[color=ududff] (-2.52,3.11) node {$A$};
\draw [fill=ududff] (2.,4.) circle (0.5pt);
\draw[color=ududff] (2.14,4.21) node {$D$};
\draw [fill=ududff] (2.,0.) circle (0.5pt);
\draw[color=ududff] (2.14,0.21) node {$C$};
\draw [fill=ududff] (0.58,0.) circle (0.5pt);
\draw[color=ududff] (0.42,-0.51) node {$M$};
\end{scriptsize}
\end{tikzpicture}